Summary: Fusor Undercloud Initial system configuration utility
Name: fusor-undercloud-initial-setup
URL: https://github.com/fusor/fusor-undercloud-initial-setup
Version: 1.0.0
Release: 1%{?dist}
Source0: %{name}-%{version}.tar.gz
License: GPLv2+
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: util-linux
Requires: fusor-undercloud-installer
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: systemd
BuildArch: noarch

%description
The fusor-undercloud-initial-setup utility runs after installation. It will automatically
invoke the fusor-undercloud-installer upon login of a newly installed instance.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_datadir}/fusor-undercloud-initial-setup/

cp bin/fusor-undercloud-initial-setup %{buildroot}%{_bindir}/fusor-undercloud-initial-setup
cp bin/launch-fusor-undercloud-installer %{buildroot}%{_bindir}/launch-fusor-undercloud-installer
cp systemd/fusor-undercloud-initial-setup-text.service %{buildroot}%{_unitdir}/fusor-undercloud-initial-setup-text.service

%post
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl enable fusor-undercloud-initial-setup-text.service >/dev/null 2>&1 || :
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable fusor-undercloud-initial-setup-text.service > /dev/null 2>&1 || :
    /bin/systemctl stop fusor-undercloud-initial-setup-text.service > /dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart fusor-undercloud-initial-setup-text.service >/dev/null 2>&1 || :
fi

%clean
rm -fr %{buildroot}

%files
%{_bindir}/fusor-undercloud-initial-setup
%{_bindir}/launch-fusor-undercloud-installer
%{_unitdir}/fusor-undercloud-initial-setup-text.service

%changelog
* Tue May 17 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-1
- bump version to 1.0.0 (jmontleo@redhat.com)

* Tue Sep 22 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-4
- fix additional file names (jmontleo@redhat.com)

* Tue Sep 22 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-3
- fix file name (jmontleo@redhat.com)

* Tue Sep 22 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-2
- remove non-existent files from package (jmontleo@redhat.com)

* Tue Sep 22 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-1
- new package built with tito

